Mailinglist Archive: opensuse-buildservice (219 mails)

< Previous Next >
Re: [opensuse-buildservice] BuildRequires calculation issue
  • From: Michal Marek <mmarek@xxxxxxx>
  • Date: Thu, 07 Feb 2008 20:36:55 +0100
  • Message-id: <47AB5DD7.3040505@xxxxxxx>
Wolfgang Rosenauer napsal(a):
Cristian Rodríguez wrote:
and just add

Required: update-alternatives

It's not that easy it seems.
For example the SLES9 repo in the project doesn't provide
update-alternatives :-(

Can I set it for certain repos only?

The project config is parsed in a similar manner as spec files, so this

%if 0%{?suse_version} > 920
Required: update-alternatives
%endif

should do the trick.

Michal
---------------------------------------------------------------------
To unsubscribe, e-mail: opensuse-buildservice+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-buildservice+help@xxxxxxxxxxxx

< Previous Next >